Subject: RE: cygwin ver 1.5.12-1 on win2k3
From: "Etienne Mbuyi" <[email-masked]>
To: "'Pierre A. Humblet'" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 20 Jul 2005 09:53:52 -0400

That was a retype = typo. I will go head and give your recommendation a try.

-----Original Message-----
From: Pierre A. Humblet [mailto:[email-masked]] 
Sent: Wednesday, July 20, 2005 9:45 AM
To: Etienne Mbuyi
Cc: [email-masked]
Subject: Re: cygwin ver 1.5.12-1 on win2k3

That looks fine, except that all the XXXPrivelege rights should
XXXPrivilege, AFAIK. Was that a cut and paste or a retype?
Use editrights to list the privileges of  cron_x.

Cron-diagnose was not designed for 2k3, so it's useless there.
My advice is to run cron-config. When prompted say that want
to reinstall the service.
It will prompt you for a user to run under, just say cron_x
I forgot if it will reset the privileges or keep them as they are.

Pierre

----- Original Message ----- 
From: "Etienne Mbuyi" <[email-masked]>
To: "'Pierre A. Humblet'" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, July 20, 2005 9:31 AM
Subject: RE: cygwin ver 1.5.12-1 on win2k3

> The steps outlined below were used to install cron on a different win2k3
> server and it works. For some reason the same procedures don't work on a
> different server.
> 
> $ net user cron_x password /add /yes
> $ net localgroup administrators cron_x /add
> $ editrights -a SeAssignPrimaryTokenPrivelege -u cron_x
> $ editrights -a SeCreateTokenPrivelege -u cron_x
> $ editrights -a SeIncreaseQuotaPrivelege -u cron_x
> $ editrights -a SeServiceLogonRight -u cron_x
> $ mkpassd -l -u cron_x >> /etc/passwd
> $ cygrunsrv -I cron -p /usr/sbin/cron -a -D -u cron_x -w password
> 
> Each of these commands were completed successfully. But when trying to
start
> cron, no luck.
> 
> -----Original Message-----
> From: Pierre A. Humblet [mailto:[email-masked]] 
> Sent: Wednesday, July 20, 2005 9:18 AM
> To: Etienne Mbuyi"
> Cc: [email-masked]
> Subject: RE: cygwin ver 1.5.12-1 on win2k3
> 
> Etienne Mbuyi wrote:
> 
> > The output of cron_diagnose.sh does not help because it shows the same
> info
> > compared to a server where cron is working. We don't have sendmail
> install.
> > In any case here is the output of cygcheck -s -v -r. I also include the
> > crontab -l output and the error that we get when trying to start cron. 
> 
> Did you use cron-config to configure cron properly?
> Did you read what /usr/share/doc/Cygwin/cron.README says about win2k3?
> 
> Pierre
> 
> 
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/